
//-----------------------------------------------------------------------
//<copyright>
// * Copyright (C) 2021 KEHAIDASOFT All Rights Reserved
// * version : 4.0.30319.42000
// * author  : khd by t4-2
// </copyright>
//-----------------------------------------------------------------------

using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Khd.Core.Domain.Models
{

    [Table("base_flag")]
    public class BaseFlag
    {

        [Key]
        [Column("id")]
        public Guid id { get; set; }

        /// <summary>
        /// 编码
        /// </summary>
        [Column("flag_no")]
        public string flagNo { get; set; }

        /// <summary>
        /// 名称
        /// </summary>
        [Column("flag_name")]
        public string flagName { get; set; }

        /// <summary>
        /// 值
        /// </summary>
        [Column("n_flag")]
        public int? nFlag { get; set; }

        /// <summary>
        /// 描述
        /// </summary>
        [Column("flag_memo")]
        public string flagMemo { get; set; }

        [Column("is_delete")]
        public int? isDelete { get; set; }

        [Column("create_time")]
        public DateTime? createTime { get; set; }

        [Column("create_id")]
        public Guid? createId { get; set; }

        [Column("create_by")]
        public string createBy { get; set; }

        [Column("modify_time")]
        public DateTime? modifyTime { get; set; }

        [Column("modify_id")]
        public Guid? modifyId { get; set; }

        [Column("modify_by")]
        public string modifyBy { get; set; }

        [Column("definefield3")]
        public string definefield3 { get; set; }

        [Column("definefield1")]
        public string definefield1 { get; set; }

        [Column("definefield2")]
        public string definefield2 { get; set; }
    }
}

